Program SSDTInfo;

Uses
  Windows,
  Forms,
  SSDT in 'SSDT.pas',
  MainForm in 'MainForm.pas' {Form1},
  Driver in '..\..\shared\Driver.pas',
  Native in '..\..\shared\Native.pas',
  scmDrivers in '..\..\shared\scmDrivers.pas',
  utils in '..\..\shared\utils.pas';

{$R SSDTINFO.RES}

Var
  Ret : Boolean;
Begin
Application.Initialize;
If GetPointerLength = 4 Then
  begin
  Ret := SSDTDriverInit;
  If Ret Then
    begin
    Application.MainFormOnTaskbar := True;
    Application.Title := 'SSDTInfo';
    Application.CreateForm(TForm1, Form1);
    Application.Run;
    SSDTDriverFinit;
    end Else Error('Nepodarilo se nacist ovladac ssdtinfo.sys')
  end Else Error('Aplikace SSDTInfo pracuje pouze na platforme x86');
End.

